Bug 1392157 - [abrt] gnome-settings-daemon: real_assign_crtcs(): gnome-settings-daemon killed by SIGSEGV
Summary: [abrt] gnome-settings-daemon: real_assign_crtcs(): gnome-settings-daemon kill...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop3
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3ea628c715ae5c66eade5fede45...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-05 12:06 UTC by Peter Wu
Modified: 2017-12-12 10:40 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:40:31 UTC


Attachments (Terms of Use)
File: backtrace (53.85 KB, text/plain)
2016-11-05 12:06 UTC, Peter Wu
no flags Details
File: cgroup (336 bytes, text/plain)
2016-11-05 12:06 UTC, Peter Wu
no flags Details
File: core_backtrace (3.90 KB, text/plain)
2016-11-05 12:06 UTC, Peter Wu
no flags Details
File: dso_list (17.62 KB, text/plain)
2016-11-05 12:06 UTC, Peter Wu
no flags Details
File: environ (1.61 KB, text/plain)
2016-11-05 12:07 UTC, Peter Wu
no flags Details
File: exploitable (82 bytes, text/plain)
2016-11-05 12:07 UTC, Peter Wu
no flags Details
File: limits (1.29 KB, text/plain)
2016-11-05 12:07 UTC, Peter Wu
no flags Details
File: maps (85.45 KB, text/plain)
2016-11-05 12:07 UTC, Peter Wu
no flags Details
File: mountinfo (3.56 KB, text/plain)
2016-11-05 12:07 UTC, Peter Wu
no flags Details
File: namespaces (102 bytes, text/plain)
2016-11-05 12:07 UTC, Peter Wu
no flags Details
File: open_fds (7.97 KB, text/plain)
2016-11-05 12:07 UTC, Peter Wu
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2016-11-05 12:07 UTC, Peter Wu
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-11-05 12:07 UTC, Peter Wu
no flags Details

Description Peter Wu 2016-11-05 12:06:46 UTC
Description of problem:
I was executing the outputs test of the Test_Day:2016-11-03_BetterSwitchableGraphicsSupport. Repeatedly inserting/removing the HDMI cable caused this crash.

Other details:
- Hybrid graphics laptop (Intel + NVIDIA GTX 965M)
- HDMI port is wired to the dGPU.
- Internal monitor is 1920x1080
- External monitor is a Dell U2515H (2560x1440)
- Running "Switchable Test Day live image"

Version-Release number of selected component:
gnome-settings-daemon-3.22.1-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: real_assign_crtcs
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     2406
kernel:         4.8.4-301.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 real_assign_crtcs at gnome-rr-config.c:941
 #1 crtc_assignment_new at gnome-rr-config.c:1068
 #2 gnome_rr_config_apply_helper at gnome-rr-config.c:628
 #3 gnome_rr_config_apply at gnome-rr-config.c:650
 #4 apply_configuration at gsd-xrandr-manager.c:347
 #5 handle_fn_f7 at gsd-xrandr-manager.c:1007
 #6 gsd_xrandr_manager_2_video_mode_switch at gsd-xrandr-manager.c:364
 #7 handle_method_call_xrandr_2 at gsd-xrandr-manager.c:1365
 #8 handle_method_call at gsd-xrandr-manager.c:1394
 #9 call_in_idle_cb at gdbusconnection.c:4836

Potential duplicate: bug 1044713

Comment 1 Peter Wu 2016-11-05 12:06:54 UTC
Created attachment 1217547 [details]
File: backtrace

Comment 2 Peter Wu 2016-11-05 12:06:55 UTC
Created attachment 1217548 [details]
File: cgroup

Comment 3 Peter Wu 2016-11-05 12:06:57 UTC
Created attachment 1217549 [details]
File: core_backtrace

Comment 4 Peter Wu 2016-11-05 12:06:59 UTC
Created attachment 1217550 [details]
File: dso_list

Comment 5 Peter Wu 2016-11-05 12:07:00 UTC
Created attachment 1217551 [details]
File: environ

Comment 6 Peter Wu 2016-11-05 12:07:01 UTC
Created attachment 1217552 [details]
File: exploitable

Comment 7 Peter Wu 2016-11-05 12:07:03 UTC
Created attachment 1217553 [details]
File: limits

Comment 8 Peter Wu 2016-11-05 12:07:05 UTC
Created attachment 1217554 [details]
File: maps

Comment 9 Peter Wu 2016-11-05 12:07:07 UTC
Created attachment 1217555 [details]
File: mountinfo

Comment 10 Peter Wu 2016-11-05 12:07:08 UTC
Created attachment 1217556 [details]
File: namespaces

Comment 11 Peter Wu 2016-11-05 12:07:10 UTC
Created attachment 1217557 [details]
File: open_fds

Comment 12 Peter Wu 2016-11-05 12:07:11 UTC
Created attachment 1217558 [details]
File: proc_pid_status

Comment 13 Peter Wu 2016-11-05 12:07:13 UTC
Created attachment 1217559 [details]
File: var_log_messages

Comment 14 Peter Wu 2016-11-05 12:35:40 UTC
The above situation had runtime PM disabled (via nouveau.runpm=0). With runtime PM enabled (but acpi_osi="!Windows 2015" due to bug 1354256), this is visible:

33.632330 kernel: nouveau 0000:01:00.0: DRM: resuming kernel object tree...
33.876456 kernel: nouveau 0000:01:00.0: priv: GPC0: 419df4 00000000 (1a40820e)
33.876653 kernel: nouveau 0000:01:00.0: priv: GPC1: 419df4 00000000 (1a40820e)
33.895865 kernel: nouveau 0000:01:00.0: DRM: resuming client object trees...
33.895997 kernel: nouveau 0000:01:00.0: DRM: resuming display...
33.896117 kernel: nouveau 0000:01:00.0: DRM: resuming console...
38.884466 gnome-settings-[2274]: gnome_rr_output_list_modes: assertion 'output != NULL' failed
38.885187 kernel: show_signal_msg: 12 callbacks suppressed
38.885214 kernel: gnome-settings-[2274]: segfault at 0 ip 00007f6c3631a5bd sp 00007fff808d3650 error 4 in libgnome-desktop-3.so.12.2.0[7f6c362fe000+37000]

Comment 15 Fedora End Of Life 2017-11-16 14:32:53 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:40:31 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.